#
# spec file for package python-trollius
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-trollius
Version:        1.0.4
Release:        4.5
License:        Apache-2.0
Summary:        Port of the Tulip project (asyncio module, PEP 3156) on Python 2
Url:            https://bitbucket.org/enovance/trollius/
Group:          Productivity/Editors/Vi
Source:         trollius-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%elseif
BuildArch:      noarch
%endif

%description
Trollius provides infrastructure for writing single-threaded concurrent code
using coroutines, multiplexing I/O access over sockets and other resources,
running network clients and servers, and other related primitives.

%prep
%setup -q -n trollius-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%doc doc/*.rst doc/trollius.jpg
%doc examples/
%{python_sitelib}/trollius-%{version}-*.egg-info/
%{python_sitelib}/trollius/

%changelog
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Sat Apr 18 2015 mrueckert@suse.de
- initial package
